## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate fasteval

Name:           rust-fasteval
Version:        0.2.4
Release:        %autorelease
Summary:        Fast evaluation of algebraic expressions

License:        MIT
URL:            https://crates.io/crates/fasteval
Source:         %{crates_source}

# https://github.com/likebike/fasteval/pull/17
Patch:          0001-Rust-can-parse-Very-Long-nine-tails-since-1.55.0.patch
# https://github.com/likebike/fasteval/pull/18
Patch:          0002-Docs-avoid-doc-test-error-when-unsafe-vars-are-not-e.patch
Patch:          0003-Docs-markdown-syntax-fix.patch
Patch:          0001-tests-update-to-scientic-notation.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Fast evaluation of algebraic expressions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alpha-keywords-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alpha-keywords-devel %{_description}

This package contains library source intended for building other packages which
use the "alpha-keywords" feature of the "%{crate}" crate.

%files       -n %{name}+alpha-keywords-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsafe-vars-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsafe-vars-devel %{_description}

This package contains library source intended for building other packages which
use the "unsafe-vars" feature of the "%{crate}" crate.

%files       -n %{name}+unsafe-vars-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-8
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jan 23 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.4-5
- Adjust tests to pass with new rust

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 01 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.4-3
- Upload sources

* Wed Nov 17 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.4-2
- Make tests pass

* Thu Oct 28 2021 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.4-1
- Initial version
## END: Generated by rpmautospec
